Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.org
Class Capability

    java.lang.Object
      com.tibco.bpm.web.client.model.types.org.Capability

    public class Capability

extends java.lang.Object

Constructor Summary
`Capability()`

Method Summary
`java.lang.String` | `getGuid()`
`java.lang.String` | `getLabel()`
`java.lang.String` | `getName()`
`OrgAttribute` | `getQualifier()`
`int` | `getResourceCount()`
`void` | `setGuid(java.lang.String guid)`
`void` | `setLabel(java.lang.String label)`
`void` | `setName(java.lang.String name)`
`void` | `setQualifier(OrgAttribute qualifier)`
`void` | `setResourceCount(int resourceCount)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Capability

    public Capability()

Method Detail

### getGuid

    public java.lang.String getGuid()

### setGuid

    public void setGuid(java.lang.String guid)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String label)

### getResourceCount

    public int getResourceCount()

### setResourceCount

    public void setResourceCount(int resourceCount)

### getQualifier

    public OrgAttribute getQualifier()

### setQualifier

    public void setQualifier(OrgAttribute qualifier)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.